This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274969 - jpegoptim: error creating temp file: mkstemps() failed
jpegoptim: error creating temp file: mkstemps() failed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jpegoptim (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 05:37 EDT by Harald Reindl
Modified: 2016-03-06 21:56 EST (History)
2 users (show)

See Also:
Fixed In Version: jpegoptim-1.4.3-4.fc23 jpegoptim-1.4.3-4.fc22 jpegoptim-1.4.3-4.el6 jpegoptim-1.4.3-4.el5 jpegoptim-1.4.3-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 14:21:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verbose error messages (1.94 KB, patch)
2016-01-10 13:47 EST, Denis Fateyev
no flags Details | Diff

  None (edit)
Description Harald Reindl 2015-10-24 05:37:28 EDT
i know that this is a permissions problem, but in a cronjob running over all webspaces and images changed within the last 24 hours it would be helpful to know the source file which failed and it's path

/www/webspace1/image1.jpg 254x160 26441 -> 24848 (6.02%)
jpegoptim: error creating temp file: mkstemps() failed
/www/webspace3/images/main2.jpg 285x1000 109177 -> 104444 (4.34%)
Comment 1 Denis Fateyev 2016-01-10 13:47 EST
Created attachment 1113349 [details]
Verbose error messages

Please check the simple patch attached whether it improves the situation.
If everything works as expected, I'll submit it to the upstream.
Comment 2 Harald Reindl 2016-01-10 13:53:52 EST
could you provide a scratch build?
a simple testcase with wrong permission should be easy
Comment 4 Denis Fateyev 2016-01-20 17:25:05 EST
Any news on testing? Any feedback?
Comment 5 Harald Reindl 2016-01-27 13:35:21 EST
sorry for late response, it's on my todo-list within the next weekend, currently way too much day-jobs and other updates/testings :-(
Comment 6 Harald Reindl 2016-01-29 07:30:58 EST
jpegoptim-1.4.3-3.fc23.x86_64 looks good!

[harry@srv-rhsoft:/downloads/test]$ /usr/bin/jpegoptim --all-progressive --threshold=1 /downloads/test/bear.jpg
/downloads/test/bear.jpg 573x520 24bit N JFIF  [OK] 116709 --> 92771 bytes (20.51%), optimized.
jpegoptim: original file /downloads/test/bear.jpg, error creating temp file /downloads/test/jpegoptim-500-14743.jJypxE.tmp: mkstemps() failed
Comment 7 Denis Fateyev 2016-01-29 07:36:53 EST
OK, thanks for testing. I'll post the patch to upstream.
Comment 8 Denis Fateyev 2016-02-20 12:54:55 EST
According the upstream, this patch will be definitely a part of the next release. I don't know the release schedule, so meanwhile I'm just rebuilding package with it.
Comment 9 Fedora Update System 2016-02-20 12:57:07 EST
jpegoptim-1.4.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7658be2529
Comment 10 Fedora Update System 2016-02-20 12:57:08 EST
jpegoptim-1.4.3-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bc5b017a6
Comment 11 Fedora Update System 2016-02-20 12:57:09 EST
jpegoptim-1.4.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7658be2529
Comment 12 Fedora Update System 2016-02-20 12:57:13 EST
jpegoptim-1.4.3-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e55e9c6e10
Comment 13 Fedora Update System 2016-02-20 12:57:14 EST
jpegoptim-1.4.3-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a18d3a4150
Comment 14 Fedora Update System 2016-02-20 12:57:14 EST
jpegoptim-1.4.3-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e55e9c6e10
Comment 15 Fedora Update System 2016-02-20 12:57:17 EST
jpegoptim-1.4.3-4.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-59843cf5de
Comment 16 Fedora Update System 2016-02-21 01:21:06 EST
jpegoptim-1.4.3-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bc5b017a6
Comment 17 Fedora Update System 2016-02-21 01:47:50 EST
jpegoptim-1.4.3-4.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-59843cf5de
Comment 18 Fedora Update System 2016-02-21 01:53:09 EST
jpegoptim-1.4.3-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e55e9c6e10
Comment 19 Fedora Update System 2016-02-21 12:58:11 EST
jpegoptim-1.4.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7658be2529
Comment 20 Fedora Update System 2016-02-21 13:27:29 EST
jpegoptim-1.4.3-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a18d3a4150
Comment 21 Fedora Update System 2016-02-23 14:21:57 EST
jpegoptim-1.4.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-02-29 05:21:40 EST
jpegoptim-1.4.3-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-03-06 17:27:42 EST
jpegoptim-1.4.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-03-06 21:23:40 EST
jpegoptim-1.4.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-03-06 21:56:18 EST
jpegoptim-1.4.3-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.